package com.contabilidad.EntConta;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "cargos", schema = "dbcontabilidad")
public class ContaCargos implements Serializable {

    @Id
    @Column(name = "codigo_cargo")
    private String codigoCargo;
    @Column(name = "nombre_cargo")
    private String nombreCargo;
    @Column(name = "tipo_cargo")
    private String tipoCargo;
    @Column(name = "obligaciones")
    private String obligaciones;
    @Column(name = "departamento")
    private String departamento;


    public String getCodigoCargo() {
        return codigoCargo;
    }

    public void setCodigoCargo(String codigoCargo) {
        this.codigoCargo = codigoCargo;
    }

    public String getNombreCargo() {
        return nombreCargo;
    }

    public void setNombreCargo(String nombreCargo) {
        this.nombreCargo = nombreCargo;
    }

    public String getTipoCargo() {
        return tipoCargo;
    }

    public void setTipoCargo(String tipoCargo) {
        this.tipoCargo = tipoCargo;
    }

    public String getObligaciones() {
        return obligaciones;
    }

    public void setObligaciones(String obligaciones) {
        this.obligaciones = obligaciones;
    }

    public String getDepartamento() {
        return departamento;
    }

    public void setDepartamento(String departamento) {
        this.departamento = departamento;
    }

    public ContaCargos() {
    }

    public ContaCargos(String codigoCargo, String nombreCargo, String tipoCargo, String obligaciones, String departamento) {
        this.codigoCargo = codigoCargo;
        this.nombreCargo = nombreCargo;
        this.tipoCargo = tipoCargo;
        this.obligaciones = obligaciones;
        this.departamento = departamento;
    }
}
